# Uses of Class
org.apache.lucene.facet.taxonomy.directory.DirectoryTaxonomyWriter

Packages that use DirectoryTaxonomyWriter
Package
Description
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.
org.apache.lucene.facet.taxonomy.directory
Taxonomy index implementation using on top of a Directory.

## Uses of DirectoryTaxonomyWriter in org.apache.lucene.facet.taxonomy

Methods in org.apache.lucene.facet.taxonomy with parameters of type DirectoryTaxonomyWriter
Modifier and Type
Method
Description
`static void`
TaxonomyMergeUtils.`merge(Directory srcIndexDir, Directory srcTaxoDir, DirectoryTaxonomyWriter.OrdinalMap map, IndexWriter destIndexWriter, DirectoryTaxonomyWriter destTaxoWriter, FacetsConfig srcConfig)`
Merges the given taxonomy and index directories and commits the changes to the given writers.
Constructors in org.apache.lucene.facet.taxonomy with parameters of type DirectoryTaxonomyWriter
Modifier
Constructor
Description
``
`SearcherTaxonomyManager(IndexWriter writer, boolean applyAllDeletes, SearcherFactory searcherFactory, DirectoryTaxonomyWriter taxoWriter)`
Expert: creates near-real-time searcher and taxonomy reader from the corresponding writers, controlling whether deletes should be applied.
``
`SearcherTaxonomyManager(IndexWriter writer, SearcherFactory searcherFactory, DirectoryTaxonomyWriter taxoWriter)`
Creates near-real-time searcher and taxonomy reader from the corresponding writers.

## Uses of DirectoryTaxonomyWriter in org.apache.lucene.facet.taxonomy.directory

Subclasses of DirectoryTaxonomyWriter in org.apache.lucene.facet.taxonomy.directory
Modifier and Type
Class
Description
`class`
`ReindexingEnrichedDirectoryTaxonomyWriter`
Use this `TaxonomyWriter` to append arbitrary fields to the ordinal documents in the taxonomy.
Constructors in org.apache.lucene.facet.taxonomy.directory with parameters of type DirectoryTaxonomyWriter
Modifier
Constructor
Description
``
`DirectoryTaxonomyReader(DirectoryTaxonomyWriter taxoWriter)`
Opens a `DirectoryTaxonomyReader` over the given `DirectoryTaxonomyWriter` (for NRT).